package com.halo.halojuhesdk.core.channel;


import com.halo.halojuhesdk.core.request.SlotBean;

/**
 * @author Feng Zhanao
 * @date 2018/12/28
 * @description
 */
public interface ISplashProxyListener {
    /**
     * 广告被准备好（主线程回调）
     */
    void onReadyAd(SlotBean bean, String type, double ecpm, String adTypeStr);
    /**
     * 广告被展示（主线程回调）
     */
    void onDisplayAd(SlotBean bean, String adTypeStr);

    /**
     * 广告被点击（主线程回调）
     */
    void onClickAd(SlotBean bean, String adTypeStr);

    /**
     * 广告被关闭（主线程回调）
     */
    void onCloseAd();

    /**
     * 点击跳过按钮回调（主线程回调）
     */
    void onAdSkip();

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onAdError(String msg, int code, String type, SlotBean bean);
}
