package com.halo.halojuhesdk.sdk;

import androidx.annotation.IdRes;
import androidx.annotation.LayoutRes;

public class HlUnifiedAdParameter {
    @LayoutRes
    private int mLayoutId;
    @IdRes
    private int mContentId;
    @IdRes
    private int mTitleId;
    @IdRes
    private int mBodyTitleId;
    @IdRes
    private int mOptionsId;

    private HlUnifiedAdParameter(Builder builder) {
        this.mLayoutId = builder.adLayoutId;
        this.mContentId = builder.adContentId;
        this.mTitleId = builder.adTitleId;
        this.mBodyTitleId = builder.adBodyTitleId;
        this.mOptionsId = builder.adOptionsId;
    }

    public @LayoutRes int getAdLayoutId() {
        return mLayoutId;
    }

    public @IdRes int getAdTitleId() {
        return mTitleId;
    }

    public @IdRes int getAdBodyTitleId() {
        return mBodyTitleId;
    }

    public @IdRes int getAdOptionsId() {
        return mOptionsId;
    }

    public @IdRes int getAdContentId() {
        return mContentId;
    }
    public static class Builder {
        private @LayoutRes int adLayoutId;
        private @IdRes int adContentId;
        private @IdRes int adTitleId;
        private @IdRes int adBodyTitleId;
        private @IdRes int adOptionsId;
        public Builder() {

        }

        public Builder setAdLayoutId(@LayoutRes int adLayoutId) {
            this.adLayoutId = adLayoutId;
            return this;
        }

        public Builder setAdContentId(@IdRes int adContentId) {
            this.adContentId = adContentId;
            return this;
        }

        public Builder setAdTitleId(@IdRes int adTitleId) {
            this.adTitleId = adTitleId;
            return this;
        }

        public Builder setAdBodyTitleId(@IdRes int adBodyTitleId) {
            this.adBodyTitleId = adBodyTitleId;
            return this;
        }

        public Builder setAdOptionsId(@IdRes int adOptionsId) {
            this.adOptionsId = adOptionsId;
            return this;
        }

        public HlUnifiedAdParameter build() {
            return new HlUnifiedAdParameter(this);
        }
    }
}
